<?php

$smartyPg->assign('infoMensagem', "");

if ( uri_in('ok') ) $smartyPg->assign('infoMensagem', "SUCESSO");

if ( isset($_POST['jvTkn']) ) {

    $error      = false;

    #nome
    $fieldNome          = addslashes($_POST['bxNome']);

    #nome
    $fieldEmpresa       = addslashes($_POST['bxEmpresa']);

    #telemovel
    $fieldTelemovel     = addslashes($_POST['bxTelemovel']);

    #email
    $fieldEmail         = addslashes($_POST['bxEmail']);
    if ( !valida_email($fieldEmail) || strlen($fieldEmail) < 5 ) { $error = true; }

    #mensagem
    $fieldMensagem      = addslashes($_POST['bxMensagem']);

    formAntiInjection($authHosts);

    if ( !$error ) {
        $smartyPg->assign('infoMensagem', "SUCESSO");

	if ( !class_exists('Mail_J') ) include($_SERVER['DOCUMENT_ROOT'] . '/includes/classe.mail.php');

	$corpo = "

Dados do contacto,

Nome: " . $fieldNome . "

Empresa: " . $fieldEmpresa . "

E-mail: " . $fieldTelemovel . "

Mensagem:
" . $fieldMensagem . "

Atentamente,
" . systemSiteName . "
http://" . $_SERVER['HTTP_HOST'] . "

	    ";

	$email = New Mail_J();
	$email->SetMailFrom($fieldEmail);
	$email->SetMailFromName($fieldNome);
	$email->SetMailReply($fieldEmail);
	$email->SetMailTo(systemEmailReceive);
	$email->SetMailToName(systemSiteName);
	$email->SetMailSubject($_SERVER['HTTP_HOST'] . ": Contacto do site");
	$email->SetMailBody($corpo);
	$email->Send();

	header('Location: /contactos.html?ok');

    }else $smartyPg->assign('infoMensagem', "ERRO");
}
?>